Index: channels/chan_iax2.c
===================================================================
--- channels/chan_iax2.c	(revision 79590)
+++ channels/chan_iax2.c	(working copy)
@@ -4652,6 +4652,7 @@
 
 	char host[80];
 	char perceived[80];
+	int counter = 0;
 	if (argc != 3)
 		return RESULT_SHOWUSAGE;
 	ast_cli(fd, FORMAT2, "Host", "dnsmgr", "Username", "Perceived", "Refresh", "State");
@@ -4665,8 +4666,10 @@
 		ast_cli(fd, FORMAT, host, 
 					(reg->dnsmgr) ? "Y" : "N", 
 					reg->username, perceived, reg->refresh, regstate2str(reg->regstate));
+		counter++;
 	}
 	AST_LIST_UNLOCK(&registrations);
+	ast_cli(fd, "%d IAX2 registrations.\n", counter);
 	return RESULT_SUCCESS;
 #undef FORMAT
 #undef FORMAT2
